<?php

namespace xenarabia\BestAnswer\XF\Entity;

use XF\Mvc\Entity\Structure;

class Thread extends XFCP_Thread
{
    public static function getStructure(Structure $structure)
    {

        $structure = parent::getStructure($structure);
        $structure->relations['BaUser'] = [
				'entity' => 'XF:User',
				'type' => self::TO_ONE,
				'conditions' => [['user_id', '=', '$xena_userid_ba']],
				'primary' => true,
				'api' => true
        ];
    return $structure; 
    }
}